View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000208Sphinxgeneralpublic2008-09-01 14:352012-02-05 15:27
Reportershodan 
Assigned Toshodan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.9.8-release 
Target VersionFixed in Version 
Summary0000208: libsphinxclient improperly handling max=0 in SetLimits()
DescriptionWith PECL extension (based on libsphinxclient), setting $max to 0 results in :
Query failed: per-query max_matches=0 out of bounds (per-server max_matches=1000).

http://sphinxsearch.com/forum/view.html?id=2062 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000290)
tony2001 (reporter)
2008-10-08 09:41

Please review the following patch:
http://dev.daylessday.org/diff/sphinx_set_limits.diff [^]
(0000396)
shodan (administrator)
2009-04-07 11:25

Fixed in 0.9.9 r1781

- Issue History
Date Modified Username Field Change
2008-09-01 14:35 shodan New Issue
2008-10-08 09:41 tony2001 Note Added: 0000290
2009-04-07 11:25 shodan Note Added: 0000396
2009-04-07 11:25 shodan Status new => resolved
2009-04-07 11:25 shodan Resolution open => fixed
2009-04-07 11:25 shodan Assigned To => shodan
2012-02-05 15:27 shodan Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker